Description

Redmine has useful wiki macros such as "child_pages", "collapse", "include" and "thumbnail".

Despite the usefulness of those macros, not so many people know the feature because they are too hidden. Only people who read

the detailed syntax reference know the feature. In addition, those macros are a bit long to type.

To resolve those problems, I propose to add a new button that assists users to recall and insert macros. Please see the screenshot

below.

 

Related issues:

Related to Redmine - Feature #33425: Auto complete wiki macros New

History

#1 - 2019-03-07 22:02 - Marius BĂLTEANU

I like this idea. In the future, we can extend the button to include Redmine links to different objects (issues, source, etc).

#2 - 2019-03-08 15:14 - Bernhard Rohloff

Sounds great, some kind of "Redmine" button can be very convenient for sure although I think it would make more sense to have a separate menu for

only macros.

+1

#3 - 2019-03-22 08:39 - Mizuki ISHIKAWA

- File feature-30986.patch added

The attached patch adds a button for inserting a wiki macro like wiki-macro-button@2x.png .

I frequently use the "collapse" macro, so I would like to use a button to insert it easily.

#4 - 2019-03-23 07:14 - Bernhard Rohloff

I've tested the patch and it works great. Really convenient!

I also have 2cts to drop. :-)

If it's possible, it would be nice if we could add the macro description as tooltip.

Marius BALTEANU wrote:

I like this idea. In the future, we can extend the button to include Redmine links to different objects (issues, source, etc).

 If we would follow this road would it make sense to have a Redmine icon for this button, yet?
https://www.redmine.org/attachments/download/22585/wiki-macro-button@2x.png


#5 - 2019-03-25 14:32 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2019-05-16 16:19 - Go MAEDA

- File 30986@2x.png added

- File bt_macro.png added

- Target version changed from Candidate for next major release to 4.1.0

Now the patch has Redmine icon. Let's deliver this feature in Redmine 4.1.0.

 

#7 - 2019-06-20 10:59 - Jean-Philippe Lang

- Target version changed from 4.1.0 to Candidate for next minor release

Nice feature but:

we should find something else than the Redmine logo for this button

as Bernhard said, it should comme along with additional information about the macro and the arguments that it expects. The macro name on its

own is not so usefull.

#8 - 2020-05-10 09:17 - Go MAEDA

- Related to Feature #33425: Auto complete wiki macros added

Files

wiki-macro-button@2x.png 17 KB 2019-03-07 Go MAEDA

feature-30986.patch 4.42 KB 2019-03-22 Mizuki ISHIKAWA

30986@2x.png 14.6 KB 2019-05-16 Go MAEDA

bt_macro.png 493 Bytes 2019-05-16 Go MAEDA
